• Precios
  • Blog
Iniciar sesiónAgendá una demo
Batch create customers POSTGrant customer credit POSTCreate customer POSTGet customer GETList customer credits GETList customers GETRevoke remaining customer credit POSTUpdate customer PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List customer credits

List currency-specific invoice credit grants and their remaining balances for a customer.

GET
/customers/{id}/credits

List currency-specific invoice credit grants and their remaining balances for a customer.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/customers/string/credits"
{  "object": "list",  "data": [    {      "id": "string",      "amount": -9007199254740991,      "appliedAmount": -9007199254740991,      "reversedAmount": -9007199254740991,      "revokedAmount": -9007199254740991,      "remainingAmount": -9007199254740991,      "currency": "string",      "reason": "string",      "source": "dashboard",      "expiresAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "object": "customer_credit",      "livemode": true    }  ],  "hasMore": true,  "nextCursor": "string"}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Get customer GET

Retrieve a customer by their public ID, including subscription status and metadata.

List customers GET

List customers with cursor-based pagination.